Bug 1412018 - kernel oops: debug_lockdep_rcu_enabled(): kernel paging request at debug_lockdep_rcu_enabled
Summary: kernel oops: debug_lockdep_rcu_enabled(): kernel paging request at debug_lock...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 01:31 UTC by Han Han
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 18:22:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Han Han 2017-01-11 01:31:04 UTC
Description of problem:
While playing video game TorchLight2, my computer hanged and got kernel panics.

Version-Release number of selected component (if applicable):
kernel-4.10.0-0.rc2.git4.1.fc26.x86_64

How reproducible:
100%

Steps to Reproduce:
1. As Description
2. There is kernel oops in abrt
# abrt-cli ls 
id 6f9ee944893d03dd882728857342da47d24072e3
reason:         BUG: sleeping function called from invalid context at ./include/linux/sched.h:3153
time:           Wed 11 Jan 2017 12:37:58 AM CST
cmdline:        BOOT_IMAGE=/vmlinuz-4.10.0-0.rc2.git4.1.fc26.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-54d6045b-a9af-4a2d-ad5a-42da16345951 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
Directory:      /var/spool/abrt/oops-2017-01-11-00:37:57-1155-1
Reported:       cannot be reported

id bb33e3a044786e6307c067fe7ea55846992f8f59
reason:         debug_lockdep_rcu_enabled(): kernel paging request at debug_lockdep_rcu_enabled
time:           Wed 11 Jan 2017 12:37:57 AM CST
cmdline:        BOOT_IMAGE=/vmlinuz-4.10.0-0.rc2.git4.1.fc26.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-54d6045b-a9af-4a2d-ad5a-42da16345951 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
package:        kernel-core-4.10.0-0.rc2.git4.1.fc26
count:          1
Directory:      /var/spool/abrt/oops-2017-01-11-00:37:57-1155-0

The backtrace of 6f9ee944893d03dd882728857342da47d24072e3:
BUG: sleeping function called from invalid context at ./include/linux/sched.h:3153
in_atomic(): 0, irqs_disabled(): 1, pid: 121, name: kworker/2:2
INFO: lockdep is turned off.
irq event stamp: 2636150
hardirqs last  enabled at (2636149): [<ffffffffb111c5a1>] __raw_spin_lock_init+0x21/0x60
hardirqs last disabled at (2636150): [<ffffffffb195b89c>] error_entry+0x7c/0xd0
softirqs last  enabled at (2636120): [<ffffffffc09c842f>] iwl_pcie_enqueue_hcmd+0x69f/0xdb0 [iwlwifi]
softirqs last disabled at (2636104): [<ffffffffc09c7eee>] iwl_pcie_enqueue_hcmd+0x15e/0xdb0 [iwlwifi]
CPU: 2 PID: 121 Comm: kworker/2:2 Tainted: G      D         4.10.0-0.rc2.git4.1.fc26.x86_64 #1
Hardware name: LENOVO 20BTS1N70F/20BTS1N70F, BIOS N14ET28W (1.06 ) 03/12/2015
Workqueue: events_freezable ieee80211_restart_work [mac80211]
Call Trace:

The backtrace of bb33e3a044786e6307c067fe7ea55846992f8f59:
BUG: unable to handle kernel paging request at ffff8fcf15fa8d80
IP: iwl_mvm_add_sta+0x4f3/0x810 [iwlmvm]
PGD 12d4f3067
PUD 12d4f7067
PMD 2173e5063
PTE 8000000215fa8161
Oops: 0003 [#1] SMP
Modules linked in: rfcomm fuse ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype xt_conntrack nf_nat nf_conntrack br_netfilter bridge stp llc dm_thin_pool dm_persistent_data dm_bio_prison loop cmac bnep iTCO_wdt iTCO_vendor_support mei_wdt arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlmvm kvm mac80211 irqbypass intel_cstate btusb btrtl uvcvideo btbcm intel_uncore btintel videobuf2_vmalloc intel_rapl_perf videobuf2_memops videobuf2_v4l2 bluetooth videobuf2_core iwlwifi videodev joydev media cfg80211 intel_pch_thermal i2c_i801 lpc_ich snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq wmi snd_seq_device snd_pcm tcp_bbr thinkpad_acpi
 sch_fq snd_timer rfkill snd mei_me soundcore mei tpm_crb shpchp tpm_tis tpm_tis_core tpm target_core_mod nfsd binfmt_misc auth_rpcgss nfs_acl lockd grace sunrpc dm_multipath xfs libcrc32c dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper drm e1000e serio_raw ptp pps_core fjes video
CPU: 2 PID: 121 Comm: kworker/2:2 Not tainted 4.10.0-0.rc2.git4.1.fc26.x86_64 #1
Hardware name: LENOVO 20BTS1N70F/20BTS1N70F, BIOS N14ET28W (1.06 ) 03/12/2015
Workqueue: events_freezable ieee80211_restart_work [mac80211]
task: ffff8fcf1d8c0000 task.stack: ffffa0c1c1938000
RIP: 0010:iwl_mvm_add_sta+0x4f3/0x810 [iwlmvm]
RSP: 0018:ffffa0c1c193bc18 EFLAGS: 00010206
RAX: 0000000000005fa0 RBX: ffff8fcf15fa2968 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff8fcf15d25d38 RDI: ffff8fcf15fa2968
RBP: ffffa0c1c193bc90 R08: 0000000000000000 R09: ffffffffb1e0ab40
R10: 0000000000000000 R11: 0000000000000000 R12: ffff8fcef57b4c00
R13: 0000000000000000 R14: 0000000000000000 R15: ffff8fcef57b4d48
FS:  0000000000000000(0000) GS:ffff8fcf24e00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff8fcf15fa8d80 CR3: 000000012be11000 CR4: 00000000003406e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 ? debug_lockdep_rcu_enabled+0x1d/0x20
 iwl_mvm_mac_sta_state+0x2df/0x5e0 [iwlmvm]
 drv_sta_state+0xf4/0x920 [mac80211]
 ieee80211_reconfig+0x8a3/0x2510 [mac80211]
 ? mark_held_locks+0x76/0xa0
 ? flush_delayed_work+0x40/0x60
 ieee80211_restart_work+0x8e/0xc0 [mac80211]
 process_one_work+0x251/0x700
 ? process_one_work+0x1cd/0x700
 worker_thread+0x4e/0x4a0
 kthread+0x10f/0x150
 ? process_one_work+0x700/0x700
 ? kthread_create_on_node+0x60/0x60
 ret_from_fork+0x2a/0x40
Code: 00 48 c7 45 c8 00 00 00 00 4c 89 6d 98 4d 89 f5 c7 45 cc 40 00 00 00 88 45 c9 41 0f b6 84 24 5a 14 00 00 48 8d 04 40 48 c1 e0 05 <c7> 84 03 78 04 00 00 01 00 00 00 45 0f b7 77 70 41 81 fe ff 00
RIP: iwl_mvm_add_sta+0x4f3/0x810 [iwlmvm] RSP: ffffa0c1c193bc18
CR2: ffff8fcf15fa8d80

3.

Actual results:


Expected results:


Additional info:

Comment 1 Laura Abbott 2018-04-06 18:22:21 UTC
Doing some pruning, this bug looks to be several kernel versions old. Please test on a newer kernel and reopen if the problem still exists.


Note You need to log in before you can comment on or make changes to this bug.